summaryrefslogtreecommitdiff
path: root/packages
diff options
context:
space:
mode:
Diffstat (limited to 'packages')
-rw-r--r--packages/busybox/busybox-1.9.1/defconfig2
-rw-r--r--packages/busybox/files/50telnet16
-rw-r--r--packages/busybox/files/login.failsafe19
-rw-r--r--packages/e17/e-wm_cvs.bb6
-rw-r--r--packages/images/slugos-image.bb2
-rw-r--r--packages/linux/linux-ixp4xx/defconfig-2.6.24.3 (renamed from packages/linux/linux-ixp4xx/defconfig-2.6.24)0
-rw-r--r--packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24.3 (renamed from packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24)0
-rw-r--r--packages/linux/linux-ixp4xx_2.6.24.3.bb (renamed from packages/linux/linux-ixp4xx_2.6.24.bb)10
-rw-r--r--packages/openmoko-projects/diversity-daemon_svn.bb5
9 files changed, 47 insertions, 13 deletions
diff --git a/packages/busybox/busybox-1.9.1/defconfig b/packages/busybox/busybox-1.9.1/defconfig
index 770ef6eb12..33d30911da 100644
--- a/packages/busybox/busybox-1.9.1/defconfig
+++ b/packages/busybox/busybox-1.9.1/defconfig
@@ -633,7 +633,7 @@ CONFIG_ROUTE=y
CONFIG_TELNET=y
# CONFIG_FEATURE_TELNET_TTYPE is not set
CONFIG_FEATURE_TELNET_AUTOLOGIN=y
-# CONFIG_TELNETD is not set
+CONFIG_TELNETD=y
# CONFIG_FEATURE_TELNETD_STANDALONE is not set
CONFIG_TFTP=y
CONFIG_FEATURE_TFTP_GET=y
diff --git a/packages/busybox/files/50telnet b/packages/busybox/files/50telnet
new file mode 100644
index 0000000000..3fb4a90494
--- /dev/null
+++ b/packages/busybox/files/50telnet
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+# Copyright (C) 2008 Koen Kooi
+
+# This starts telnetd if the password for 'root' is empty. This is needed for devices without a screen or serial console (wifi router, NAS, etc).
+
+start() {
+ if awk -F: '/^root:/ && ($2 != "") && ($2 !~ /\!/) {exit 1}' /etc/passwd 2>/dev/null
+ then
+ telnetd -l /bin/login.failsafe
+ fi
+}
+
+stop() {
+ killall telnetd
+}
diff --git a/packages/busybox/files/login.failsafe b/packages/busybox/files/login.failsafe
new file mode 100644
index 0000000000..e7c12a27fb
--- /dev/null
+++ b/packages/busybox/files/login.failsafe
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+# Copyright (C) 2008 Koen Kooi
+
+grep '^root:[^!]' /etc/passwd >&- 2>&-
+[ "$?" = "0" ] &&
+{
+ echo "Login failed."
+ exit 0
+} || {
+cat << EOF
+ === IMPORTANT ============================
+ Use 'passwd' to set your login password
+ this will disable telnet and enable SSH
+ ------------------------------------------
+EOF
+}
+
+exec /bin/sh --login
diff --git a/packages/e17/e-wm_cvs.bb b/packages/e17/e-wm_cvs.bb
index 364e5539e1..9cd4ab7ffc 100644
--- a/packages/e17/e-wm_cvs.bb
+++ b/packages/e17/e-wm_cvs.bb
@@ -2,7 +2,7 @@ DESCRIPTION = "The Enlightenment Window Mananger Version 17"
DEPENDS = "eet evas ecore edje efreet"
LICENSE = "MIT BSD"
PV = "0.16.999.042+cvs${SRCDATE}"
-PR = "r1"
+PR = "r0"
inherit e update-alternatives
@@ -53,6 +53,10 @@ FILES_${PN}-dbg += "\
${libdir}/enlightenment/preload/.debug/ \
"
+FILES_${PN}-dev += "\
+ ${libdir}/enlightenment/preload/*.?a \
+"
+
ALTERNATIVE_PATH = "${bindir}/enlightenment_start"
ALTERNATIVE_NAME = "x-window-manager"
ALTERNATIVE_LINK = "${bindir}/x-window-manager"
diff --git a/packages/images/slugos-image.bb b/packages/images/slugos-image.bb
index fb1b372735..56abc3d39f 100644
--- a/packages/images/slugos-image.bb
+++ b/packages/images/slugos-image.bb
@@ -9,7 +9,7 @@ HOMEPAGE = "http://www.nslu2-linux.org"
DEPENDS = "task-slugos"
IMAGE_INSTALL = "task-slugos"
-COMPATIBLE_MACHINE = "nslu2"
+COMPATIBLE_MACHINE = "nslu2|ixp4xx"
IMAGE_NAME = "${IMAGE_BASENAME}-${DISTRO_VERSION}"
IMAGE_FSTYPES = "jffs2 tar.gz"
diff --git a/packages/linux/linux-ixp4xx/defconfig-2.6.24 b/packages/linux/linux-ixp4xx/defconfig-2.6.24.3
index 790120452a..790120452a 100644
--- a/packages/linux/linux-ixp4xx/defconfig-2.6.24
+++ b/packages/linux/linux-ixp4xx/defconfig-2.6.24.3
diff --git a/packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24 b/packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24.3
index 0e14d09d11..0e14d09d11 100644
--- a/packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24
+++ b/packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24.3
diff --git a/packages/linux/linux-ixp4xx_2.6.24.bb b/packages/linux/linux-ixp4xx_2.6.24.3.bb
index 9a5967afa2..06ff3f13d7 100644
--- a/packages/linux/linux-ixp4xx_2.6.24.bb
+++ b/packages/linux/linux-ixp4xx_2.6.24.3.bb
@@ -1,21 +1,17 @@
-# Keep this until the dsmg600 via-velocity BE patch is forward-ported
-DEFAULT_PREFERENCE = "-1"
-
require linux.inc
require linux-ixp4xx.inc
VANILLA_VERSION = "2.6.24"
-KERNEL_RELEASE = "2.6.24"
+KERNEL_RELEASE = "2.6.24.3"
# If you use a rc, you will need to use this:
#PV = "${VANILLA_VERSION}+${KERNEL_RELEASE}+svnr${SRCREV}"
PV = "${KERNEL_RELEASE}+svnr${SRCREV}"
-PR = "r1"
-
-# ${KERNELORG_MIRROR}/pub/linux/kernel/v2.6/patch-${KERNEL_RELEASE}.bz2;patch=1 \
+PR = "r0"
SRC_URI = "${KERNELORG_MIRROR}/pub/linux/kernel/v2.6/linux-${VANILLA_VERSION}.tar.bz2 \
+ ${KERNELORG_MIRROR}/pub/linux/kernel/v2.6/patch-${KERNEL_RELEASE}.bz2;patch=1 \
svn://svn.nslu2-linux.org/svnroot/kernel/trunk/patches;module=${VANILLA_VERSION};proto=http \
file://defconfig-${KERNEL_RELEASE}"
diff --git a/packages/openmoko-projects/diversity-daemon_svn.bb b/packages/openmoko-projects/diversity-daemon_svn.bb
index dd582490fb..8ffcdc5038 100644
--- a/packages/openmoko-projects/diversity-daemon_svn.bb
+++ b/packages/openmoko-projects/diversity-daemon_svn.bb
@@ -1,6 +1,6 @@
-DESCRIPTION = "Diveristy Daemon"
+DESCRIPTION = "Diversity Daemon"
HOMEPAGE = "http://diversity.projects.openmoko.org/"
-SECTION = "net/misc"
+SECTION = "network/misc"
LICENSE = "GPL"
DEPENDS = "glib-2.0 dbus dbus-glib eds-dbus libjana curl"
RDEPENDS_${PN} = "eds-dbus openmoko-dialer2"
@@ -8,7 +8,6 @@ PV = "0.0+svnr${SRCREV}"
PR = "r2"
SRC_URI = "svn://svn.projects.openmoko.org/svnroot/diversity/trunk;module=diversity-daemon;proto=https"
-
S = "${WORKDIR}/diversity-daemon"
inherit autotools pkgconfig